<?xml version="1.0" encoding="UTF-8"?>
<refentry version="5.0-subset Scilab" xml:id="descent" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns5="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <info>
    <pubdate>30-Mar-2008</pubdate>
  </info>

  <refnamediv>
    <refname>descent</refname>

    <refpurpose>steepest descent optimizer</refpurpose>
  </refnamediv>

  <refsynopsisdiv>
    <title>Calling Sequence</title>

    <synopsis>this = descent(param)</synopsis>
  </refsynopsisdiv>

  <refsection>
    <title>Parameters</title>

    <variablelist>
      <varlistentry>
        <term>param</term>

        <listitem>
          <para>(structure) : parameters of the optimizer (see below);</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>this</term>

        <listitem>
          <para>(mlist) : optimizer object.</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>

  <refsection>
    <title>Description</title>

    <para>This implements the Ask &amp; Tell Steepest Descent
    optimizer.</para>
  </refsection>

  <refsection>
    <title>See Also</title>

    <simplelist type="inline">
      <member><link linkend="optimizer">optimizer</link></member>
    </simplelist>
  </refsection>

  <refsection>
    <title>Authors</title>

    <variablelist>
      <varlistentry>
        <term>G. Pujol</term>

        <listitem>
          <para>ENSM-SE</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
</refentry>
